/****************************************************************************/
/* GF09 ( ｼｰｹﾝｽ定義 )                                                       */
/*                                                                          */
/* Created : 2021/06/29 14:03:35                                            */
/****************************************************************************/

CREATE TABLE GF09 (
   SYSTEM_ID    VARCHAR2 ( 10 )                         NOT NULL            /*  1 ｼｽﾃﾑID    */
 , TBLSYU       VARCHAR2 (  1 )                         NOT NULL            /*  2 ﾃｰﾌﾞﾙ種別 */
 , SEQNAME      VARCHAR2 ( 50 )                         NOT NULL            /*  3 ｼｰｹﾝｽ名   */
 , INCREBY      NUMBER   (  9 )     DEFAULT 1           NOT NULL            /*  4 ｲﾝｸﾘﾒﾝﾄ   */
 , STARTVAL     NUMBER   (  9 )     DEFAULT 1           NOT NULL            /*  5 開始値    */
 , MINVAL       NUMBER   (  9 )     DEFAULT 1           NOT NULL            /*  6 最小値    */
 , MAXVAL       NUMBER              DEFAULT 999999999   NOT NULL            /*  7 最大値    */
 , FGCYCLE      VARCHAR2 (  1 )     DEFAULT '1'         NOT NULL            /*  8 ｻｲｸﾙﾌﾗｸﾞ  */
 , SUCACHE      NUMBER   (  7 )     DEFAULT 0           NOT NULL            /*  9 ｷｬｯｼｭ数   */
 , TABLE_NAME   VARCHAR2 ( 50 )                                             /* 10 ﾃｰﾌﾞﾙ名   */
 , CLM          VARCHAR2 ( 30 )                                             /* 11 項目      */
 , UNIQ         NUMBER   (  9 )     DEFAULT 0           NOT NULL            /* 12 ﾕﾆｰｸｷｰ    */
 , FGJ          VARCHAR2 (  1 )     DEFAULT '1'         NOT NULL            /* 13 状態ﾌﾗｸﾞ  */
 , DYSET        VARCHAR2 ( 14 )                                             /* 14 登録日時  */
 , PGSET        VARCHAR2 ( 10 )                                             /* 15 作成PG    */
 , PGPSET       VARCHAR2 ( 10 )                                             /* 16 作成親PG  */
 , USRSET       VARCHAR2 ( 10 )                                             /* 17 作成社員  */
 , DYUPD        VARCHAR2 ( 14 )                                             /* 18 更新日時  */
 , PGUPD        VARCHAR2 ( 10 )                                             /* 19 更新PG    */
 , PGPUPD       VARCHAR2 ( 10 )                                             /* 20 更新親PG  */
 , USRUPD       VARCHAR2 ( 10 )                                             /* 21 更新者    */
 , LAST_NUMBER  NUMBER                                                      /* 22 最終値    */
)
TABLESPACE GFTBL01
STORAGE( INITIAL 256K );


CREATE SEQUENCE GF09S00 
  INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 CYCLE NOCACHE;


CREATE OR REPLACE TRIGGER GF09T00 
  BEFORE INSERT ON GF09
  FOR EACH ROW 
  BEGIN 
    SELECT GF09S00.NEXTVAL INTO :NEW.UNIQ FROM DUAL; 
  END; 
/
