<?xml version="1.0" encoding="UTF-8" ?>
<jsp:root
	xmlns:jsp="http://java.sun.com/JSP/Page"
	xmlns:og="hybs-taglib.tld"
	version="2.0">
<jsp:directive.page language="java" contentType="text/html; charset=UTF-8" />

<og:head headType="result" useAjaxSubmit="true" useRealTimeCheck="false"/>

<jsp:directive.include file="/jsp/custom/result_info.jsp" />
<og:comment
	system	= "GF:エンジンサンプル"
	pgid	= "23_FAQRGST"
	title	= "標準(FAQ登録)"
	date	= "2015/10/09"
	author	= "K.Hasegawa"
	text	= ""
	version	= "001"
/>

<!-- forward.jsp から command = "COPY/MODIFY/DELETE" がセットされて遷移してきます。-->
<!-- データが選ばれていなければエラー -->
<og:columnCheck command="{@command}" >
	<jsp:directive.include file="/jsp/common/history_back.jsp" />
</og:columnCheck>

<!-- ﾌｧｲﾙﾊﾟｽ取得 -->
<og:value key="REAL_PATH" value="faq/{@SYS.SYSTEM_ID}/{@USER.ID}{@USER.YMDH}" caseKey="{@command}" caseVal="COPY" />

<!-- forward.jsp から command がセットされて遷移してきます。-->
<!-- カラムに対して値をセットしない場合、ColumnSetTagは不要です。 -->
<og:entry command="{@command}" repeatCount="{@repeatCount}" >
	<og:columnSet command="{@command}" columnId="KBFAQ"		action="SET" value="{@KBFAQ}" caseNN="{@KBFAQ}" />
	<og:columnSet command="{@command}" columnId="SYSTEM_ID"	action="SET" value="{@SYS.SYSTEM_ID}"/>		<!-- ｼｽﾃﾑID	-->
	<og:columnSet command="COPY"	columnId="FILEPATH"		action="SET" value="{@REAL_PATH}"/>			<!-- ﾌｧｲﾙﾊﾟｽ-->
	<og:columnSet command="COPY"	columnId="FILE1"		action="CLEAR"/>							<!-- 添付ﾌｧｲﾙ1-->
	<og:columnSet command="COPY"	columnId="FILE2"		action="CLEAR"/>							<!-- 添付ﾌｧｲﾙ2-->
	<og:columnSet command="COPY"	columnId="FILE3"		action="CLEAR"/>							<!-- 添付ﾌｧｲﾙ3-->
</og:entry>

<og:message command="{@command}" /><br />  <!-- 動的にコメントを表示します。 -->

<form name="frm" method="POST" action="entry.jsp" enctype="multipart/form-data" target="RESULT">
	<!-- 登録、取消、リセットボタンを作成します。 -->
	<!-- HTMLTextField(１点入力)使用時には、EXCEL(CSV)取り込みは使えません。 -->
	<!-- value属性+.jspの画面に制御が移ります。ただし、value="reset"のみ特殊で、result.jspに遷移します。 -->
	<!-- commandには value属性の値の大文字が設定されます。 command属性で設定しなおすことも出来ます。-->
	<og:writeCheck>
		<og:submit  action="ENTRY" />
		<og:submit  action="RESET" />
		<og:input type="reset"  name="command"  lbl="MSG0011"  td="false" />
		<br />
	</og:writeCheck>

	<!-- DB検索結果を表示させます。 -->
	<!-- checked="true" で、チェック済みの状態で表示できます。 -->
	<!-- selectedType="checkbox(デフォルト)/radio/hidden" から、選べます。-->
	<!-- viewFormType="HTMLTextField" を使用する場合は、skip="true"が必要です。 -->
	<og:view
		viewFormType = "HTMLFormatTextField"
		command      = "{@command}"
		noDisplay    = "UNIQ"
		noWritable   = "{@noWritable}"
		skip         = "true"
	>
	<table>
		<tr>[CDBNRUI]				</tr>	<!-- 分類名 -->
		<tr>[TITLE]					</tr>	<!-- ﾀｲﾄﾙ-->
		<tr><td class="label">[#NAIYO]</td><td colspan="3">[$NAIYO]</td></tr>		<!-- 内容-->
		<tr>[KNRNGUI]	[KBFAQ]		</tr>	<!-- FAQ区分-->
		<tr>[SYSTEM_ID]	[SYSCODE]	</tr>	<!-- ｼｽﾃﾑｺｰﾄﾞ -->
		<tr>[FGJ]		[QANO]		</tr>	<!-- 質問番号 -->
	</table>
		<!-- ﾌｧｲﾙﾊﾟｽ取得(追加･複写) -->
		<og:equals val1="COPY" val2="{@command}" contains="true">
			<og:userInfo key="USER.FILEPATH" command="SET" value="{@REAL_PATH}"/>
		</og:equals>
		<!-- ﾌｧｲﾙﾊﾟｽ取得(変更)-->
		<og:equals val1="{@command}" val2="MODIFY">
			<og:value command="SETTBL" key="FILEPATH"/>
			<og:userInfo key="USER.FILEPATH" command="SET" value="{@FILEPATH}"/>
		</og:equals>
	<og:hidden name="sqlType" defaultVal="{@command}" value="{@sqlType}" />
	</og:view>

</form>

<jsp:directive.include file="/jsp/common/htmlend.jsp" />
</jsp:root>
